stages:
  - test

before_script: 
- export LC_CTYPE=en_US.UTF-8
- export LC_ALL=en_US.UTF-8
- export LANG=en_US.UTF-8

run_tests:
  stage: test
  script:
    - xcodebuild clean -scheme AnalyticsManager | xcpretty 
    - xcodebuild test -scheme AnalyticsManager -destination 'platform=iOS Simulator,name=iPhone 11,OS=13.4' -enableCodeCoverage YES | xcpretty -s
  tags:
    - ios
